progeny.World {galgo} | R Documentation

## Calls progeny method to all niches in the world object

### Description

Calls progeny method to all niches in the world object.

### Usage

    ## S3 method for class 'World'
    progeny(.O, immigration=NULL, ...)

### Arguments

`immigration` | Chromosomes wanted to immigrate (replacing) in the niche.

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `World`. `Niche`, `progeny.Niche`(), `offspring.Niche`().

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni$fitness <- runif(10)  ## tricky fitness
      refreshStats(ni)
      ni
      wo <- World(niches=newRandomCollection(ni,2))
      wo$niches[[1]]$fitness <- runif(10)
      wo$niches[[2]]$fitness <- runif(10)
      refreshStats(wo)
      wo
      summary(wo)
      progeny(wo)
      wo
      summary(wo)
      progeny(wo,2)
      wo
      summary(wo)

[Package galgo version 1.4 Index]